public class point
{
    public double x, y;

    public point(double a, double b)
    {x=a;y=b;}
    
    public point(point A)
    {x=A.x;
     y=A.y;
    }

    public String toString()
    {return "["+x+","+y+"]";}
    
    public String name(){return "point";}

}
